| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
Line2DIntersectionManager Class Referencefinal
Geometry

`#include <geom2dintersections.h>`

## Public Member Functions
virtual | ~Line2DIntersectionManager ()
const ObjectSet< BendPoints > & | bendpoints () const
bool | compute (TaskRunner *=nullptr)
bool | computeBendpoints (TaskRunner *=nullptr)
const BendPoints * | getBendPoints (const Pos::GeomID &) const
const Line2DInterSection * | getIntersection (const Pos::GeomID &) const
int | indexOf (const Pos::GeomID &) const
const Line2DInterSectionSet & | intersections () const

## Static Public Member Functions
static const Line2DIntersectionManager & | instance ()
static Line2DIntersectionManager & | instanceAdmin ()

## Private Member Functions
| Line2DIntersectionManager ()

## Private Attributes
ManagedObjectSet< BendPoints > | bendpointset_
std::unordered_map< int, int > | geomidmap_
Line2DInterSectionSet | intersections_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~Line2DIntersectionManager()

virtual Line2DIntersectionManager::~Line2DIntersectionManager | ( |  | ) |
| virtual

## ◆ Line2DIntersectionManager()

Line2DIntersectionManager::Line2DIntersectionManager | ( |  | ) |
| private

## Member Function Documentation

## ◆ bendpoints()

const ObjectSet< BendPoints > & Line2DIntersectionManager::bendpoints | ( |  | ) | const

## ◆ compute()

bool Line2DIntersectionManager::compute | ( | TaskRunner * | = nullptr | ) |

## ◆ computeBendpoints()

bool Line2DIntersectionManager::computeBendpoints | ( | TaskRunner * | = nullptr | ) |

## ◆ getBendPoints()

const BendPoints * Line2DIntersectionManager::getBendPoints | ( | const Pos::GeomID & |  | ) | const

## ◆ getIntersection()

const Line2DInterSection * Line2DIntersectionManager::getIntersection | ( | const Pos::GeomID & |  | ) | const

## ◆ indexOf()

int Line2DIntersectionManager::indexOf | ( | const Pos::GeomID & |  | ) | const

## ◆ instance()

static const Line2DIntersectionManager & Line2DIntersectionManager::instance | ( |  | ) |
| static

## ◆ instanceAdmin()

static Line2DIntersectionManager & Line2DIntersectionManager::instanceAdmin | ( |  | ) |
| static

## ◆ intersections()

const Line2DInterSectionSet & Line2DIntersectionManager::intersections | ( |  | ) | const

## Member Data Documentation

## ◆ bendpointset_

ManagedObjectSet<BendPoints> Line2DIntersectionManager::bendpointset_
| private

## ◆ geomidmap_

std::unordered_map<int,int> Line2DIntersectionManager::geomidmap_
| private

## ◆ intersections_

Line2DInterSectionSet Line2DIntersectionManager::intersections_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025